Apache Struts API Documentation: Class CallMethodRule

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.digester
Class CallMethodRule

    java.lang.Object
      |
      +--org.apache.struts.digester.Rule
            |
            +--org.apache.struts.digester.CallMethodRule

public class CallMethodRule
extends Rule

Rule implementation that calls a method on the top (parent) object, passing arguments collected from subsequent `CallParamRule` rules or from the body of this element.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Craig McClanahan

Field Summary
`protected java.lang.String` | `bodyText` The body text collected from this element.
`protected java.lang.String` | `methodName` The method name to call on the parent object.
`protected int` | `paramCount` The number of parameters to collect from `MethodParam` rules.
`protected java.lang.Class[]` | `paramTypes` The parameter types of the parameters to be collected.

Fields inherited from class org.apache.struts.digester.Rule
`digester`

Constructor Summary
`CallMethodRule(Digester digester, java.lang.String methodName, int paramCount)` Construct a "call method" rule with the specified method name.
`CallMethodRule(Digester digester, java.lang.String methodName, int paramCount, java.lang.Class[] paramTypes)` Construct a "call method" rule with the specified method name.
`CallMethodRule(Digester digester, java.lang.String methodName, int paramCount, java.lang.String[] paramTypes)` Construct a "call method" rule with the specified method name.

Method Summary
`void` | `begin(org.xml.sax.AttributeList attributes)` Process the start of this element.
`void` | `body(java.lang.String bodyText)` Process the body text of this element.
`void` | `end()` Process the end of this element.
`void` | `finish()` Clean up after parsing is complete.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### bodyText

    protected java.lang.String bodyText

  The body text collected from this element.

### methodName

    protected java.lang.String methodName

  The method name to call on the parent object.

### paramCount

    protected int paramCount

  The number of parameters to collect from `MethodParam` rules. If this value is zero, a single parameter will be collected from the body of this element.

### paramTypes

    protected java.lang.Class[] paramTypes

  The parameter types of the parameters to be collected.

Constructor Detail

### CallMethodRule

    public CallMethodRule(Digester digester,
                          java.lang.String methodName,
                          int paramCount)

  Construct a "call method" rule with the specified method name. The parameter types (if any) default to java.lang.String.
  Parameters:
    `digester` - The associated Digester
    `methodName` - Method name of the parent method to call
    `paramCount` - The number of parameters to collect, or zero for a single argument from the body of this element.

### CallMethodRule

    public CallMethodRule(Digester digester,
                          java.lang.String methodName,
                          int paramCount,
                          java.lang.String[] paramTypes)

  Construct a "call method" rule with the specified method name.
  Parameters:
    `digester` - The associated Digester
    `methodName` - Method name of the parent method to call
    `paramCount` - The number of parameters to collect, or zero for a single argument from the body of ths element
    `paramTypes` - The Java class names of the arguments (if you wish to use a primitive type, specify the corresonding Java wrapper class instead, such as `java.lang.Boolean` for a `boolean` parameter)

### CallMethodRule

    public CallMethodRule(Digester digester,
                          java.lang.String methodName,
                          int paramCount,
                          java.lang.Class[] paramTypes)

  Construct a "call method" rule with the specified method name.
  Parameters:
    `digester` - The associated Digester
    `methodName` - Method name of the parent method to call
    `paramCount` - The number of parameters to collect, or zero for a single argument from the body of ths element
    `paramTypes` - The Java classes that represent the parameter types of the method arguments (if you wish to use a primitive type, specify the corresonding Java wrapper class instead, such as `java.lang.Boolean.TYPE` for a `boolean` parameter)

Method Detail

### begin

    public void begin(org.xml.sax.AttributeList attributes)
               throws java.lang.Exception

  Process the start of this element.
  Overrides:
    `begin` in class `Rule`
  Parameters:
    `attributes` - The attribute list for this element

### body

    public void body(java.lang.String bodyText)
              throws java.lang.Exception

  Process the body text of this element.
  Overrides:
    `body` in class `Rule`
  Parameters:
    `bodyText` - The body text of this element

### end

    public void end()
             throws java.lang.Exception

  Process the end of this element.
  Overrides:
    `end` in class `Rule`

### finish

    public void finish()
                throws java.lang.Exception

  Clean up after parsing is complete.
  Overrides:
    `finish` in class `Rule`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation